{% load static %}<!doctype html>
<html lang="en">
<head>
    <title>TheWeather</title>
    <meta name="description" content="TheWeather">
    <meta name="author" content="Marcos Alcázar">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
    <link rel="stylesheet" href="{% static 'theweather.css' %}">
</head>
<body>
<div class="bgimg w3-display-container w3-animate-opacity w3-text-white">
    <div class="w3-display-topleft w3-padding-large w3-xlarge">
        TheWeather
    </div>
    <div class="w3-display-middle">
        <h1 class="w3-jumbo w3-animate-top w3-center">Welcome to <b>TheWeather</b></h1>
        <hr class="w3-border-grey" style="margin:auto;width:40%">
        <p class="w3-large w3-center">
            You can specify the location either by passing its toponym (eg: "London"), the city ID (eg: 2643741) or its
            geographic coordinates (lon,lat)
        </p>
        <form id="search-form" class="w3-center">
            <label for="q">Please enter the location</label>
            <input name="q" type="text"/>
            <input type="submit"/>
        </form>
        <div id="results" class="w3-center"></div>
    </div>
    <div class="w3-display-bottomleft w3-padding-large">
        Powered by <a href="https://www.w3schools.com/w3css/default.asp" target="_blank">w3.css</a>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jsrender/1.0.5/jsrender.min.js"></script>
{% verbatim %}
<script id="weather_info" type="text/x-jsrender">
    <h2><b>{{:location}}</b></h2>
    <p><bold><img src="{{:weather_icon_url}}">{{:detailed_status}},
    {{:temp_celsius}}ºC | {{:temp_fahrenheit}}ºF | {{:temp_kelvin}}K</p>
</script>
{% endverbatim%}
<script src="{% static 'theweather.js' %}"></script>

</body>
</html>
